<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|Win32">
      <Configuration>Debug</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|Win32">
      <Configuration>Release</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Debug|x64">
      <Configuration>Debug</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|x64">
      <Configuration>Release</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <VCProjectVersion>16.0</VCProjectVersion>
    <Keyword>Win32Proj</Keyword>
    <ProjectGuid>{c9f41678-a6a1-4f62-adfa-c9e9cf533cf2}</ProjectGuid>
    <RootNamespace>OpenGL</RootNamespace>
    <WindowsTargetPlatformVersion>10.0</WindowsTargetPlatformVersion>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <PlatformToolset>v142</PlatformToolset>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>v142</PlatformToolset>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <PlatformToolset>v142</PlatformToolset>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>v142</PlatformToolset>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Label="Shared">
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <LinkIncremental>true</LinkIncremental>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <LinkIncremental>false</LinkIncremental>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <LinkIncremental>true</LinkIncremental>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <LinkIncremental>false</LinkIncremental>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <SDLCheck>true</SDLCheck>
      <PreprocessorDefinitions>GLEW_STATIC;WIN32;_DEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <ConformanceMode>true</ConformanceMode>
      <AdditionalIncludeDirectories>src/shapes;src/lib;$(ProjectDir)Dependencies\GLFW\include;$(ProjectDir)Dependencies\GLEW\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
    </ClCompile>
    <Link>
      <SubSystem>Console</SubSystem>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <AdditionalLibraryDirectories>$(ProjectDir)Dependencies\GLFW\lib-vc2019;$(ProjectDir)Dependencies\GLEW\lib\Release\Win32;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
      <AdditionalDependencies>glfw3.lib;opengl32.lib;glew32s.lib;%(AdditionalDependencies)</AdditionalDependencies>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <SDLCheck>true</SDLCheck>
      <PreprocessorDefinitions>GLEW_STATIC;WIN32;NDEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <ConformanceMode>true</ConformanceMode>
      <AdditionalIncludeDirectories>src/shapes;src/lib;$(ProjectDir)Dependencies\GLFW\include;$(ProjectDir)Dependencies\GLEW\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
    </ClCompile>
    <Link>
      <SubSystem>Console</SubSystem>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <AdditionalLibraryDirectories>$(ProjectDir)Dependencies\GLFW\lib-vc2019;$(ProjectDir)Dependencies\GLEW\lib\Release\Win32;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
      <AdditionalDependencies>glfw3.lib;opengl32.lib;glew32s.lib;%(AdditionalDependencies)</AdditionalDependencies>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <SDLCheck>true</SDLCheck>
      <PreprocessorDefinitions>_DEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <ConformanceMode>true</ConformanceMode>
    </ClCompile>
    <Link>
      <SubSystem>Console</SubSystem>
      <GenerateDebugInformation>true</GenerateDebugInformation>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <SDLCheck>true</SDLCheck>
      <PreprocessorDefinitions>NDEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <ConformanceMode>true</ConformanceMode>
    </ClCompile>
    <Link>
      <SubSystem>Console</SubSystem>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
      <GenerateDebugInformation>true</GenerateDebugInformation>
    </Link>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ClCompile Include="src\MousePen.cpp" />
    <ClCompile Include="src\shapes\Quad.cpp" />
    <ClCompile Include="src\shapes\Circle.cpp" />
    <ClCompile Include="src\shapes\Rect.cpp" />
    <ClCompile Include="src\lib\Camera.cpp" />
    <ClCompile Include="src\lib\GLM\detail\glm.cpp" />
    <ClCompile Include="src\lib\Shader.cpp" />
    <ClCompile Include="src\Application.h" />
    <ClCompile Include="src\lib\IndexBuffer.cpp" />
    <ClCompile Include="src\lib\VertexBuffer.cpp" />
    <ClCompile Include="src\lib\VertexArray.cpp" />
    <ClCompile Include="src\main.cpp" />
    <ClCompile Include="src\shapes\Triangle.cpp" />
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="src\MousePen.h" />
    <ClInclude Include="src\shapes\Quad.h" />
    <ClInclude Include="src\shapes\Circle.h" />
    <ClInclude Include="src\lib\Debug.h" />
    <ClInclude Include="src\shapes\Rect.h" />
    <ClInclude Include="src\shapes\Shape.h" />
    <ClInclude Include="src\lib\Camera.h" />
    <ClInclude Include="src\lib\GLM\common.hpp" />
    <ClInclude Include="src\lib\GLM\detail\compute_common.hpp" />
    <ClInclude Include="src\lib\GLM\detail\compute_vector_relational.hpp" />
    <ClInclude Include="src\lib\GLM\detail\qualifier.hpp" />
    <ClInclude Include="src\lib\GLM\detail\setup.hpp" />
    <ClInclude Include="src\lib\GLM\detail\type_float.hpp" />
    <ClInclude Include="src\lib\GLM\detail\type_half.hpp" />
    <ClInclude Include="src\lib\GLM\detail\type_mat2x2.hpp" />
    <ClInclude Include="src\lib\GLM\detail\type_mat2x3.hpp" />
    <ClInclude Include="src\lib\GLM\detail\type_mat2x4.hpp" />
    <ClInclude Include="src\lib\GLM\detail\type_mat3x2.hpp" />
    <ClInclude Include="src\lib\GLM\detail\type_mat3x3.hpp" />
    <ClInclude Include="src\lib\GLM\detail\type_mat3x4.hpp" />
    <ClInclude Include="src\lib\GLM\detail\type_mat4x2.hpp" />
    <ClInclude Include="src\lib\GLM\detail\type_mat4x3.hpp" />
    <ClInclude Include="src\lib\GLM\detail\type_mat4x4.hpp" />
    <ClInclude Include="src\lib\GLM\detail\type_quat.hpp" />
    <ClInclude Include="src\lib\GLM\detail\type_vec1.hpp" />
    <ClInclude Include="src\lib\GLM\detail\type_vec2.hpp" />
    <ClInclude Include="src\lib\GLM\detail\type_vec3.hpp" />
    <ClInclude Include="src\lib\GLM\detail\type_vec4.hpp" />
    <ClInclude Include="src\lib\GLM\detail\_features.hpp" />
    <ClInclude Include="src\lib\GLM\detail\_fixes.hpp" />
    <ClInclude Include="src\lib\GLM\detail\_noise.hpp" />
    <ClInclude Include="src\lib\GLM\detail\_swizzle.hpp" />
    <ClInclude Include="src\lib\GLM\detail\_swizzle_func.hpp" />
    <ClInclude Include="src\lib\GLM\detail\_vectorize.hpp" />
    <ClInclude Include="src\lib\GLM\exponential.hpp" />
    <ClInclude Include="src\lib\GLM\ext.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_clip_space.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_common.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_double2x2.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_double2x2_precision.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_double2x3.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_double2x3_precision.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_double2x4.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_double2x4_precision.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_double3x2.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_double3x2_precision.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_double3x3.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_double3x3_precision.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_double3x4.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_double3x4_precision.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_double4x2.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_double4x2_precision.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_double4x3.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_double4x3_precision.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_double4x4.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_double4x4_precision.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_float2x2.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_float2x2_precision.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_float2x3.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_float2x3_precision.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_float2x4.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_float2x4_precision.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_float3x2.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_float3x2_precision.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_float3x3.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_float3x3_precision.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_float3x4.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_float3x4_precision.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_float4x2.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_float4x2_precision.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_float4x3.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_float4x3_precision.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_float4x4.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_float4x4_precision.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_int2x2.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_int2x2_sized.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_int2x3.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_int2x3_sized.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_int2x4.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_int2x4_sized.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_int3x2.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_int3x2_sized.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_int3x3.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_int3x3_sized.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_int3x4.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_int3x4_sized.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_int4x2.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_int4x2_sized.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_int4x3.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_int4x3_sized.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_int4x4.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_int4x4_sized.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_projection.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_relational.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_transform.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_uint2x2.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_uint2x2_sized.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_uint2x3.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_uint2x3_sized.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_uint2x4.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_uint2x4_sized.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_uint3x2.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_uint3x2_sized.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_uint3x3.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_uint3x3_sized.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_uint3x4.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_uint3x4_sized.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_uint4x2.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_uint4x2_sized.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_uint4x3.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_uint4x3_sized.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_uint4x4.hpp" />
    <ClInclude Include="src\lib\GLM\ext\matrix_uint4x4_sized.hpp" />
    <ClInclude Include="src\lib\GLM\ext\quaternion_common.hpp" />
    <ClInclude Include="src\lib\GLM\ext\quaternion_double.hpp" />
    <ClInclude Include="src\lib\GLM\ext\quaternion_double_precision.hpp" />
    <ClInclude Include="src\lib\GLM\ext\quaternion_exponential.hpp" />
    <ClInclude Include="src\lib\GLM\ext\quaternion_float.hpp" />
    <ClInclude Include="src\lib\GLM\ext\quaternion_float_precision.hpp" />
    <ClInclude Include="src\lib\GLM\ext\quaternion_geometric.hpp" />
    <ClInclude Include="src\lib\GLM\ext\quaternion_relational.hpp" />
    <ClInclude Include="src\lib\GLM\ext\quaternion_transform.hpp" />
    <ClInclude Include="src\lib\GLM\ext\quaternion_trigonometric.hpp" />
    <ClInclude Include="src\lib\GLM\ext\scalar_common.hpp" />
    <ClInclude Include="src\lib\GLM\ext\scalar_constants.hpp" />
    <ClInclude Include="src\lib\GLM\ext\scalar_integer.hpp" />
    <ClInclude Include="src\lib\GLM\ext\scalar_int_sized.hpp" />
    <ClInclude Include="src\lib\GLM\ext\scalar_packing.hpp" />
    <ClInclude Include="src\lib\GLM\ext\scalar_relational.hpp" />
    <ClInclude Include="src\lib\GLM\ext\scalar_uint_sized.hpp" />
    <ClInclude Include="src\lib\GLM\ext\scalar_ulp.hpp" />
    <ClInclude Include="src\lib\GLM\ext\vector_bool1.hpp" />
    <ClInclude Include="src\lib\GLM\ext\vector_bool1_precision.hpp" />
    <ClInclude Include="src\lib\GLM\ext\vector_bool2.hpp" />
    <ClInclude Include="src\lib\GLM\ext\vector_bool2_precision.hpp" />
    <ClInclude Include="src\lib\GLM\ext\vector_bool3.hpp" />
    <ClInclude Include="src\lib\GLM\ext\vector_bool3_precision.hpp" />
    <ClInclude Include="src\lib\GLM\ext\vector_bool4.hpp" />
    <ClInclude Include="src\lib\GLM\ext\vector_bool4_precision.hpp" />
    <ClInclude Include="src\lib\GLM\ext\vector_common.hpp" />
    <ClInclude Include="src\lib\GLM\ext\vector_double1.hpp" />
    <ClInclude Include="src\lib\GLM\ext\vector_double1_precision.hpp" />
    <ClInclude Include="src\lib\GLM\ext\vector_double2.hpp" />
    <ClInclude Include="src\lib\GLM\ext\vector_double2_precision.hpp" />
    <ClInclude Include="src\lib\GLM\ext\vector_double3.hpp" />
    <ClInclude Include="src\lib\GLM\ext\vector_double3_precision.hpp" />
    <ClInclude Include="src\lib\GLM\ext\vector_double4.hpp" />
    <ClInclude Include="src\lib\GLM\ext\vector_double4_precision.hpp" />
    <ClInclude Include="src\lib\GLM\ext\vector_float1.hpp" />
    <ClInclude Include="src\lib\GLM\ext\vector_float1_precision.hpp" />
    <ClInclude Include="src\lib\GLM\ext\vector_float2.hpp" />
    <ClInclude Include="src\lib\GLM\ext\vector_float2_precision.hpp" />
    <ClInclude Include="src\lib\GLM\ext\vector_float3.hpp" />
    <ClInclude Include="src\lib\GLM\ext\vector_float3_precision.hpp" />
    <ClInclude Include="src\lib\GLM\ext\vector_float4.hpp" />
    <ClInclude Include="src\lib\GLM\ext\vector_float4_precision.hpp" />
    <ClInclude Include="src\lib\GLM\ext\vector_int1.hpp" />
    <ClInclude Include="src\lib\GLM\ext\vector_int1_sized.hpp" />
    <ClInclude Include="src\lib\GLM\ext\vector_int2.hpp" />
    <ClInclude Include="src\lib\GLM\ext\vector_int2_sized.hpp" />
    <ClInclude Include="src\lib\GLM\ext\vector_int3.hpp" />
    <ClInclude Include="src\lib\GLM\ext\vector_int3_sized.hpp" />
    <ClInclude Include="src\lib\GLM\ext\vector_int4.hpp" />
    <ClInclude Include="src\lib\GLM\ext\vector_int4_sized.hpp" />
    <ClInclude Include="src\lib\GLM\ext\vector_integer.hpp" />
    <ClInclude Include="src\lib\GLM\ext\vector_packing.hpp" />
    <ClInclude Include="src\lib\GLM\ext\vector_relational.hpp" />
    <ClInclude Include="src\lib\GLM\ext\vector_uint1.hpp" />
    <ClInclude Include="src\lib\GLM\ext\vector_uint1_sized.hpp" />
    <ClInclude Include="src\lib\GLM\ext\vector_uint2.hpp" />
    <ClInclude Include="src\lib\GLM\ext\vector_uint2_sized.hpp" />
    <ClInclude Include="src\lib\GLM\ext\vector_uint3.hpp" />
    <ClInclude Include="src\lib\GLM\ext\vector_uint3_sized.hpp" />
    <ClInclude Include="src\lib\GLM\ext\vector_uint4.hpp" />
    <ClInclude Include="src\lib\GLM\ext\vector_uint4_sized.hpp" />
    <ClInclude Include="src\lib\GLM\ext\vector_ulp.hpp" />
    <ClInclude Include="src\lib\GLM\fwd.hpp" />
    <ClInclude Include="src\lib\GLM\geometric.hpp" />
    <ClInclude Include="src\lib\GLM\glm.hpp" />
    <ClInclude Include="src\lib\GLM\gtc\bitfield.hpp" />
    <ClInclude Include="src\lib\GLM\gtc\color_space.hpp" />
    <ClInclude Include="src\lib\GLM\gtc\constants.hpp" />
    <ClInclude Include="src\lib\GLM\gtc\epsilon.hpp" />
    <ClInclude Include="src\lib\GLM\gtc\integer.hpp" />
    <ClInclude Include="src\lib\GLM\gtc\matrix_access.hpp" />
    <ClInclude Include="src\lib\GLM\gtc\matrix_integer.hpp" />
    <ClInclude Include="src\lib\GLM\gtc\matrix_inverse.hpp" />
    <ClInclude Include="src\lib\GLM\gtc\matrix_transform.hpp" />
    <ClInclude Include="src\lib\GLM\gtc\noise.hpp" />
    <ClInclude Include="src\lib\GLM\gtc\packing.hpp" />
    <ClInclude Include="src\lib\GLM\gtc\quaternion.hpp" />
    <ClInclude Include="src\lib\GLM\gtc\random.hpp" />
    <ClInclude Include="src\lib\GLM\gtc\reciprocal.hpp" />
    <ClInclude Include="src\lib\GLM\gtc\round.hpp" />
    <ClInclude Include="src\lib\GLM\gtc\type_aligned.hpp" />
    <ClInclude Include="src\lib\GLM\gtc\type_precision.hpp" />
    <ClInclude Include="src\lib\GLM\gtc\type_ptr.hpp" />
    <ClInclude Include="src\lib\GLM\gtc\ulp.hpp" />
    <ClInclude Include="src\lib\GLM\gtc\vec1.hpp" />
    <ClInclude Include="src\lib\GLM\gtx\associated_min_max.hpp" />
    <ClInclude Include="src\lib\GLM\gtx\bit.hpp" />
    <ClInclude Include="src\lib\GLM\gtx\closest_point.hpp" />
    <ClInclude Include="src\lib\GLM\gtx\color_encoding.hpp" />
    <ClInclude Include="src\lib\GLM\gtx\color_space.hpp" />
    <ClInclude Include="src\lib\GLM\gtx\color_space_YCoCg.hpp" />
    <ClInclude Include="src\lib\GLM\gtx\common.hpp" />
    <ClInclude Include="src\lib\GLM\gtx\compatibility.hpp" />
    <ClInclude Include="src\lib\GLM\gtx\component_wise.hpp" />
    <ClInclude Include="src\lib\GLM\gtx\dual_quaternion.hpp" />
    <ClInclude Include="src\lib\GLM\gtx\easing.hpp" />
    <ClInclude Include="src\lib\GLM\gtx\euler_angles.hpp" />
    <ClInclude Include="src\lib\GLM\gtx\extend.hpp" />
    <ClInclude Include="src\lib\GLM\gtx\extended_min_max.hpp" />
    <ClInclude Include="src\lib\GLM\gtx\exterior_product.hpp" />
    <ClInclude Include="src\lib\GLM\gtx\fast_exponential.hpp" />
    <ClInclude Include="src\lib\GLM\gtx\fast_square_root.hpp" />
    <ClInclude Include="src\lib\GLM\gtx\fast_trigonometry.hpp" />
    <ClInclude Include="src\lib\GLM\gtx\functions.hpp" />
    <ClInclude Include="src\lib\GLM\gtx\gradient_paint.hpp" />
    <ClInclude Include="src\lib\GLM\gtx\handed_coordinate_space.hpp" />
    <ClInclude Include="src\lib\GLM\gtx\hash.hpp" />
    <ClInclude Include="src\lib\GLM\gtx\integer.hpp" />
    <ClInclude Include="src\lib\GLM\gtx\intersect.hpp" />
    <ClInclude Include="src\lib\GLM\gtx\io.hpp" />
    <ClInclude Include="src\lib\GLM\gtx\log_base.hpp" />
    <ClInclude Include="src\lib\GLM\gtx\matrix_cross_product.hpp" />
    <ClInclude Include="src\lib\GLM\gtx\matrix_decompose.hpp" />
    <ClInclude Include="src\lib\GLM\gtx\matrix_factorisation.hpp" />
    <ClInclude Include="src\lib\GLM\gtx\matrix_interpolation.hpp" />
    <ClInclude Include="src\lib\GLM\gtx\matrix_major_storage.hpp" />
    <ClInclude Include="src\lib\GLM\gtx\matrix_operation.hpp" />
    <ClInclude Include="src\lib\GLM\gtx\matrix_query.hpp" />
    <ClInclude Include="src\lib\GLM\gtx\matrix_transform_2d.hpp" />
    <ClInclude Include="src\lib\GLM\gtx\mixed_product.hpp" />
    <ClInclude Include="src\lib\GLM\gtx\norm.hpp" />
    <ClInclude Include="src\lib\GLM\gtx\normal.hpp" />
    <ClInclude Include="src\lib\GLM\gtx\normalize_dot.hpp" />
    <ClInclude Include="src\lib\GLM\gtx\number_precision.hpp" />
    <ClInclude Include="src\lib\GLM\gtx\optimum_pow.hpp" />
    <ClInclude Include="src\lib\GLM\gtx\orthonormalize.hpp" />
    <ClInclude Include="src\lib\GLM\gtx\perpendicular.hpp" />
    <ClInclude Include="src\lib\GLM\gtx\polar_coordinates.hpp" />
    <ClInclude Include="src\lib\GLM\gtx\projection.hpp" />
    <ClInclude Include="src\lib\GLM\gtx\quaternion.hpp" />
    <ClInclude Include="src\lib\GLM\gtx\range.hpp" />
    <ClInclude Include="src\lib\GLM\gtx\raw_data.hpp" />
    <ClInclude Include="src\lib\GLM\gtx\rotate_normalized_axis.hpp" />
    <ClInclude Include="src\lib\GLM\gtx\rotate_vector.hpp" />
    <ClInclude Include="src\lib\GLM\gtx\scalar_multiplication.hpp" />
    <ClInclude Include="src\lib\GLM\gtx\scalar_relational.hpp" />
    <ClInclude Include="src\lib\GLM\gtx\spline.hpp" />
    <ClInclude Include="src\lib\GLM\gtx\std_based_type.hpp" />
    <ClInclude Include="src\lib\GLM\gtx\string_cast.hpp" />
    <ClInclude Include="src\lib\GLM\gtx\texture.hpp" />
    <ClInclude Include="src\lib\GLM\gtx\transform.hpp" />
    <ClInclude Include="src\lib\GLM\gtx\transform2.hpp" />
    <ClInclude Include="src\lib\GLM\gtx\type_aligned.hpp" />
    <ClInclude Include="src\lib\GLM\gtx\type_trait.hpp" />
    <ClInclude Include="src\lib\GLM\gtx\vector_angle.hpp" />
    <ClInclude Include="src\lib\GLM\gtx\vector_query.hpp" />
    <ClInclude Include="src\lib\GLM\gtx\vec_swizzle.hpp" />
    <ClInclude Include="src\lib\GLM\gtx\wrap.hpp" />
    <ClInclude Include="src\lib\GLM\integer.hpp" />
    <ClInclude Include="src\lib\GLM\mat2x2.hpp" />
    <ClInclude Include="src\lib\GLM\mat2x3.hpp" />
    <ClInclude Include="src\lib\GLM\mat2x4.hpp" />
    <ClInclude Include="src\lib\GLM\mat3x2.hpp" />
    <ClInclude Include="src\lib\GLM\mat3x3.hpp" />
    <ClInclude Include="src\lib\GLM\mat3x4.hpp" />
    <ClInclude Include="src\lib\GLM\mat4x2.hpp" />
    <ClInclude Include="src\lib\GLM\mat4x3.hpp" />
    <ClInclude Include="src\lib\GLM\mat4x4.hpp" />
    <ClInclude Include="src\lib\GLM\matrix.hpp" />
    <ClInclude Include="src\lib\GLM\packing.hpp" />
    <ClInclude Include="src\lib\GLM\simd\common.h" />
    <ClInclude Include="src\lib\GLM\simd\exponential.h" />
    <ClInclude Include="src\lib\GLM\simd\geometric.h" />
    <ClInclude Include="src\lib\GLM\simd\integer.h" />
    <ClInclude Include="src\lib\GLM\simd\matrix.h" />
    <ClInclude Include="src\lib\GLM\simd\neon.h" />
    <ClInclude Include="src\lib\GLM\simd\packing.h" />
    <ClInclude Include="src\lib\GLM\simd\platform.h" />
    <ClInclude Include="src\lib\GLM\simd\trigonometric.h" />
    <ClInclude Include="src\lib\GLM\simd\vector_relational.h" />
    <ClInclude Include="src\lib\GLM\trigonometric.hpp" />
    <ClInclude Include="src\lib\GLM\vec2.hpp" />
    <ClInclude Include="src\lib\GLM\vec3.hpp" />
    <ClInclude Include="src\lib\GLM\vec4.hpp" />
    <ClInclude Include="src\lib\GLM\vector_relational.hpp" />
    <ClInclude Include="src\lib\Shader.h" />
    <ClInclude Include="src\lib\Global.h" />
    <ClInclude Include="src\lib\IndexBuffer.h" />
    <ClInclude Include="src\lib\VertexBuffer.h" />
    <ClInclude Include="src\lib\VertexArray.h" />
    <ClInclude Include="src\lib\VertexBufferLayout.h" />
    <ClInclude Include="src\shapes\Triangle.h" />
  </ItemGroup>
  <ItemGroup>
    <None Include="src\lib\GLM\detail\func_common.inl" />
    <None Include="src\lib\GLM\detail\func_common_simd.inl" />
    <None Include="src\lib\GLM\detail\func_exponential.inl" />
    <None Include="src\lib\GLM\detail\func_exponential_simd.inl" />
    <None Include="src\lib\GLM\detail\func_geometric.inl" />
    <None Include="src\lib\GLM\detail\func_geometric_simd.inl" />
    <None Include="src\lib\GLM\detail\func_integer.inl" />
    <None Include="src\lib\GLM\detail\func_integer_simd.inl" />
    <None Include="src\lib\GLM\detail\func_matrix.inl" />
    <None Include="src\lib\GLM\detail\func_matrix_simd.inl" />
    <None Include="src\lib\GLM\detail\func_packing.inl" />
    <None Include="src\lib\GLM\detail\func_packing_simd.inl" />
    <None Include="src\lib\GLM\detail\func_trigonometric.inl" />
    <None Include="src\lib\GLM\detail\func_trigonometric_simd.inl" />
    <None Include="src\lib\GLM\detail\func_vector_relational.inl" />
    <None Include="src\lib\GLM\detail\func_vector_relational_simd.inl" />
    <None Include="src\lib\GLM\detail\type_half.inl" />
    <None Include="src\lib\GLM\detail\type_mat2x2.inl" />
    <None Include="src\lib\GLM\detail\type_mat2x3.inl" />
    <None Include="src\lib\GLM\detail\type_mat2x4.inl" />
    <None Include="src\lib\GLM\detail\type_mat3x2.inl" />
    <None Include="src\lib\GLM\detail\type_mat3x3.inl" />
    <None Include="src\lib\GLM\detail\type_mat3x4.inl" />
    <None Include="src\lib\GLM\detail\type_mat4x2.inl" />
    <None Include="src\lib\GLM\detail\type_mat4x3.inl" />
    <None Include="src\lib\GLM\detail\type_mat4x4.inl" />
    <None Include="src\lib\GLM\detail\type_mat4x4_simd.inl" />
    <None Include="src\lib\GLM\detail\type_quat.inl" />
    <None Include="src\lib\GLM\detail\type_quat_simd.inl" />
    <None Include="src\lib\GLM\detail\type_vec1.inl" />
    <None Include="src\lib\GLM\detail\type_vec2.inl" />
    <None Include="src\lib\GLM\detail\type_vec3.inl" />
    <None Include="src\lib\GLM\detail\type_vec4.inl" />
    <None Include="src\lib\GLM\detail\type_vec4_simd.inl" />
    <None Include="src\lib\GLM\ext\matrix_clip_space.inl" />
    <None Include="src\lib\GLM\ext\matrix_common.inl" />
    <None Include="src\lib\GLM\ext\matrix_projection.inl" />
    <None Include="src\lib\GLM\ext\matrix_relational.inl" />
    <None Include="src\lib\GLM\ext\matrix_transform.inl" />
    <None Include="src\lib\GLM\ext\quaternion_common.inl" />
    <None Include="src\lib\GLM\ext\quaternion_common_simd.inl" />
    <None Include="src\lib\GLM\ext\quaternion_exponential.inl" />
    <None Include="src\lib\GLM\ext\quaternion_geometric.inl" />
    <None Include="src\lib\GLM\ext\quaternion_relational.inl" />
    <None Include="src\lib\GLM\ext\quaternion_transform.inl" />
    <None Include="src\lib\GLM\ext\quaternion_trigonometric.inl" />
    <None Include="src\lib\GLM\ext\scalar_common.inl" />
    <None Include="src\lib\GLM\ext\scalar_constants.inl" />
    <None Include="src\lib\GLM\ext\scalar_integer.inl" />
    <None Include="src\lib\GLM\ext\scalar_packing.inl" />
    <None Include="src\lib\GLM\ext\scalar_relational.inl" />
    <None Include="src\lib\GLM\ext\scalar_ulp.inl" />
    <None Include="src\lib\GLM\ext\vector_common.inl" />
    <None Include="src\lib\GLM\ext\vector_integer.inl" />
    <None Include="src\lib\GLM\ext\vector_packing.inl" />
    <None Include="src\lib\GLM\ext\vector_relational.inl" />
    <None Include="src\lib\GLM\ext\vector_ulp.inl" />
    <None Include="src\lib\GLM\gtc\bitfield.inl" />
    <None Include="src\lib\GLM\gtc\color_space.inl" />
    <None Include="src\lib\GLM\gtc\constants.inl" />
    <None Include="src\lib\GLM\gtc\epsilon.inl" />
    <None Include="src\lib\GLM\gtc\integer.inl" />
    <None Include="src\lib\GLM\gtc\matrix_access.inl" />
    <None Include="src\lib\GLM\gtc\matrix_inverse.inl" />
    <None Include="src\lib\GLM\gtc\matrix_transform.inl" />
    <None Include="src\lib\GLM\gtc\noise.inl" />
    <None Include="src\lib\GLM\gtc\packing.inl" />
    <None Include="src\lib\GLM\gtc\quaternion.inl" />
    <None Include="src\lib\GLM\gtc\quaternion_simd.inl" />
    <None Include="src\lib\GLM\gtc\random.inl" />
    <None Include="src\lib\GLM\gtc\reciprocal.inl" />
    <None Include="src\lib\GLM\gtc\round.inl" />
    <None Include="src\lib\GLM\gtc\type_precision.inl" />
    <None Include="src\lib\GLM\gtc\type_ptr.inl" />
    <None Include="src\lib\GLM\gtc\ulp.inl" />
    <None Include="src\lib\GLM\gtx\associated_min_max.inl" />
    <None Include="src\lib\GLM\gtx\bit.inl" />
    <None Include="src\lib\GLM\gtx\closest_point.inl" />
    <None Include="src\lib\GLM\gtx\color_encoding.inl" />
    <None Include="src\lib\GLM\gtx\color_space.inl" />
    <None Include="src\lib\GLM\gtx\color_space_YCoCg.inl" />
    <None Include="src\lib\GLM\gtx\common.inl" />
    <None Include="src\lib\GLM\gtx\compatibility.inl" />
    <None Include="src\lib\GLM\gtx\component_wise.inl" />
    <None Include="src\lib\GLM\gtx\dual_quaternion.inl" />
    <None Include="src\lib\GLM\gtx\easing.inl" />
    <None Include="src\lib\GLM\gtx\euler_angles.inl" />
    <None Include="src\lib\GLM\gtx\extend.inl" />
    <None Include="src\lib\GLM\gtx\extended_min_max.inl" />
    <None Include="src\lib\GLM\gtx\exterior_product.inl" />
    <None Include="src\lib\GLM\gtx\fast_exponential.inl" />
    <None Include="src\lib\GLM\gtx\fast_square_root.inl" />
    <None Include="src\lib\GLM\gtx\fast_trigonometry.inl" />
    <None Include="src\lib\GLM\gtx\float_notmalize.inl" />
    <None Include="src\lib\GLM\gtx\functions.inl" />
    <None Include="src\lib\GLM\gtx\gradient_paint.inl" />
    <None Include="src\lib\GLM\gtx\handed_coordinate_space.inl" />
    <None Include="src\lib\GLM\gtx\hash.inl" />
    <None Include="src\lib\GLM\gtx\integer.inl" />
    <None Include="src\lib\GLM\gtx\intersect.inl" />
    <None Include="src\lib\GLM\gtx\io.inl" />
    <None Include="src\lib\GLM\gtx\log_base.inl" />
    <None Include="src\lib\GLM\gtx\matrix_cross_product.inl" />
    <None Include="src\lib\GLM\gtx\matrix_decompose.inl" />
    <None Include="src\lib\GLM\gtx\matrix_factorisation.inl" />
    <None Include="src\lib\GLM\gtx\matrix_interpolation.inl" />
    <None Include="src\lib\GLM\gtx\matrix_major_storage.inl" />
    <None Include="src\lib\GLM\gtx\matrix_operation.inl" />
    <None Include="src\lib\GLM\gtx\matrix_query.inl" />
    <None Include="src\lib\GLM\gtx\matrix_transform_2d.inl" />
    <None Include="src\lib\GLM\gtx\mixed_product.inl" />
    <None Include="src\lib\GLM\gtx\norm.inl" />
    <None Include="src\lib\GLM\gtx\normal.inl" />
    <None Include="src\lib\GLM\gtx\normalize_dot.inl" />
    <None Include="src\lib\GLM\gtx\number_precision.inl" />
    <None Include="src\lib\GLM\gtx\optimum_pow.inl" />
    <None Include="src\lib\GLM\gtx\orthonormalize.inl" />
    <None Include="src\lib\GLM\gtx\perpendicular.inl" />
    <None Include="src\lib\GLM\gtx\polar_coordinates.inl" />
    <None Include="src\lib\GLM\gtx\projection.inl" />
    <None Include="src\lib\GLM\gtx\quaternion.inl" />
    <None Include="src\lib\GLM\gtx\raw_data.inl" />
    <None Include="src\lib\GLM\gtx\rotate_normalized_axis.inl" />
    <None Include="src\lib\GLM\gtx\rotate_vector.inl" />
    <None Include="src\lib\GLM\gtx\scalar_relational.inl" />
    <None Include="src\lib\GLM\gtx\spline.inl" />
    <None Include="src\lib\GLM\gtx\std_based_type.inl" />
    <None Include="src\lib\GLM\gtx\string_cast.inl" />
    <None Include="src\lib\GLM\gtx\texture.inl" />
    <None Include="src\lib\GLM\gtx\transform.inl" />
    <None Include="src\lib\GLM\gtx\transform2.inl" />
    <None Include="src\lib\GLM\gtx\type_aligned.inl" />
    <None Include="src\lib\GLM\gtx\type_trait.inl" />
    <None Include="src\lib\GLM\gtx\vector_angle.inl" />
    <None Include="src\lib\GLM\gtx\vector_query.inl" />
    <None Include="src\lib\GLM\gtx\wrap.inl" />
    <None Include="src\shaders\Basic.shader" />
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>